Summary:  Type-safe Xml trees in OCaml
Name:     ocaml-tyxml
Version:  3.2.1
Release:  %mkrel 6
Source0:  https://github.com/ocsigen/tyxml/archive/%{version}.zip
License:  LGPLv2 with exception
Group:    Development/OCaml
Url:      http://ocsigen.org/tyxml

BuildRequires: ocaml-compiler
BuildRequires: ocaml-camlp4-devel
BuildRequires: ocaml-findlib-devel
Requires:      ocaml-camlp4

%description
Tyxml is a library that makes it almost impossible for your OCaml programs
to generate wrong XML output, using static typing.  Modules exist for
XHTML1, HTML5 and SVG.  Tyxml also defines pretty printers for these types.


%package      devel
Summary:      Development files for %{name}
Group:        Development/OCaml
Requires:     %{name} = %{version}-%{release}
Requires:     ocaml-camlp4-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%package      doc
Summary:      Documentation for %{name}
Group:        Documentation
BuildArch:    noarch
Requires:     %{name} = %{version}-%{release}

%description doc
This package provides the documentation in HTML about the library %{name}.

%prep
%setup -q -n tyxml-%{version}

%build
./configure --destdir=%{buildroot} --datarootdir=%{_datadir}
make
make doc

%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml"

%files
%doc README.md
%dir %{_libdir}/ocaml/tyxml
%{_libdir}/ocaml/tyxml/*.cmi
%{_libdir}/ocaml/tyxml/*.cma
%{_libdir}/ocaml/tyxml/*.cmxs
%{_libdir}/ocaml/tyxml/META

%files devel
%{_libdir}/ocaml/tyxml/*.a
%{_libdir}/ocaml/tyxml/*.cmx
%{_libdir}/ocaml/tyxml/*.cmxa

%files doc
%doc LICENSE CHANGES 
%{_docdir}/tyxml
%{_libdir}/ocaml/tyxml/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 3.2.1-6.mga6
+ Revision: 1056448
- Rebuild for fix in ocaml

* Wed Feb 17 2016 daviddavid <daviddavid> 3.2.1-5.mga6
+ Revision: 964475
- fix Requires on ocaml-camlp4-devel

* Fri Feb 12 2016 umeabot <umeabot> 3.2.1-4.mga6
+ Revision: 956672
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-3.mga5
+ Revision: 745659
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-2.mga5
+ Revision: 683119
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 3.2.1-1.mga5
+ Revision: 674095
- update to 3.2.1

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-4.mga4
+ Revision: 535764
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 2.2.0-3.mga4
+ Revision: 482476
- add upstream patch for new ocamlnet compatibility

* Sun Jan 13 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 361672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 malo <malo> 2.2.0-1.mga3
+ Revision: 329919
- new version 2.2.0

* Sat Dec 01 2012 malo <malo> 2.1-5.mga3
+ Revision: 324083
- removed optional ocamlduce dependency

  + fwang <fwang>
    - rebuild for new ocaml

  + blue_prawn <blue_prawn>
    - rebuild for new ocaml 4.00
    - new rpm group for ocaml
    - new rpm group for ocaml and documentation

* Thu Jun 28 2012 malo <malo> 2.1-1.mga3
+ Revision: 264737
- update to 2.1

* Sun Apr 22 2012 malo <malo> 2.0.1-4.mga2
+ Revision: 232713
- adding missing requires to camlp4

* Mon Apr 09 2012 malo <malo> 2.0.1-3.mga2
+ Revision: 229855
- adding missing requires to ocaml-ocamlnet

* Fri Feb 17 2012 malo <malo> 2.0.1-2.mga2
+ Revision: 210085
- missing requires to ocamlduce

* Wed Feb 08 2012 malo <malo> 2.0.1-1.mga2
+ Revision: 206236
- imported package ocaml-tyxml

